Email Prospect Endpoint
Find work email candidates for a person. Provide full_name, first_name or last_name together with domain.
Authorization
BearerAuth AuthorizationBearer <token>
Enrich Layer API key, sent as Authorization: Bearer <key>
In: header
Query Parameters
full_name?string
Full name of the person
first_name?string
First name of the person
last_name?string
Last name of the person
domain?string
Company domain to scope the lookup
limit?integer
Maximum number of email candidates to return
Range
1 <= value <= 10Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.enrichlayer.com/v3/email/prospect?full_name=Satya%20Nadella&domain=microsoft.com" \ -H "Authorization: Bearer YOUR_API_KEY"{
"name": "string",
"emails": [
{
"email": "string",
"normalized": "string",
"validity": "string",
"validatedAt": "string",
"gateway": "string",
"isDisposable": true,
"isConsumer": true,
"isDomainCatchall": true,
"mxRecords": [
"string"
]
}
]
}{
"code": 400,
"name": "Bad Request",
"description": "Provide full_name or first_name or last_name, and domain"
}{
"code": 401,
"name": "Unauthorized",
"description": "Invalid API key"
}{
"code": 403,
"name": "Forbidden",
"description": "Account has been suspended. Please email [email protected] for more information."
}{
"code": 404,
"name": "Not Found",
"description": "Person not found"
}{
"code": 429,
"name": "Too Many Requests",
"description": "Rate limit exceeded. See https://enrichlayer.com/docs/guides/rate-limits"
}{
"code": 500,
"name": "Internal Server Error",
"description": "Failed to fetch data"
}{
"code": 503,
"name": "Service Unavailable",
"description": "Billing service unavailable"
}